Package org.apache.tools.ant.util

## Class StreamUtils

- java.lang.Object
- - org.apache.tools.ant.util.StreamUtils

    public class StreamUtils
    extends java.lang.Object

### Constructor Summary

Constructors
`StreamUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> java.util.stream.Stream<T>` `enumerationAsStream​(java.util.Enumeration<T> e)` Turn Enumeration into a Stream
`static <T> java.util.stream.Stream<T>` `iteratorAsStream​(java.util.Iterator<T> i)` Turn Iterator into a Stream

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamUtils

    public StreamUtils()

### Method Detail

#### enumerationAsStream

    public static <T> java.util.stream.Stream<T> enumerationAsStream​(java.util.Enumeration<T> e)

Turn Enumeration into a Stream

Type Parameters:
  `T` - Enumeration type
Parameters:
  `e` - Enumeration
Returns:
  Stream

#### iteratorAsStream

    public static <T> java.util.stream.Stream<T> iteratorAsStream​(java.util.Iterator<T> i)

Turn Iterator into a Stream

Type Parameters:
  `T` - Iterator type
Parameters:
  `i` - Iterator
Returns:
  Stream